Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface HasCaption

    public interface HasCaption

A widget that implements this interface has a caption which can be set and retrieved using these methods.

Method Summary
`java.lang.String` | `getCaption()` Gets this widget's caption.
`void` | `setCaption(java.lang.String caption)` Sets this widget's caption.

Method Detail

### getCaption

    java.lang.String getCaption()

  Gets this widget's caption.

  Returns:
    the caption.

### setCaption

    void setCaption(java.lang.String caption)

  Sets this widget's caption.

  Parameters:
    `caption` - the new caption.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD